Retrieve a custom attribute definition.
curl --request GET \
--url https://{subdomain}.outseta.com/api/v1/attributes/definitions/{definitionUid}import requests
url = "https://{subdomain}.outseta.com/api/v1/attributes/definitions/{definitionUid}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{subdomain}.outseta.com/api/v1/attributes/definitions/{definitionUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"ControlType": "string",
"ControlParams": "string",
"Label": "string",
"SystemName": "string",
"EntityType": 0,
"Position": 0,
"Hidden": false
}Attributes
Retrieve a custom attribute definition.
The entityType segment of the URL must match the type the definition belongs to (e.g. Account, Person, Deal).
GET
/
api
/
v1
/
attributes
/
definitions
/
{definitionUid}
Retrieve a custom attribute definition.
Path Parameters
The definition's unique identifier
Response
Minimum string length:
1Minimum string length:
1Maximum string length:
10Maximum string length:
2500 - None, 1 - Account, 2 - Person, 3 - Deal, 4 - Case, 5 - Invoice, 6 - EmailLog, 7 - Plan, 8 - DiscountCoupon, 9 - AddOn, 10 - Task, 11 - Segment, 12 - Broadcast
Available options:
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12